Bug 162543 - [UPDATE] emulators/dgen-sdl to v1.27
Summary: [UPDATE] emulators/dgen-sdl to v1.27
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-13 21:01 UTC by hardy.schumacher
Modified: 2011-11-14 19:20 UTC (History)
0 users

See Also:


Attachments
file.shar (1.72 KB, text/plain)
2011-11-13 21:01 UTC, hardy.schumacher
no flags Details
patch.txt (1.97 KB, text/plain; charset=us-ascii)
2011-11-13 22:39 UTC, Alex Kozlov
no flags Details
patch.txt (2.09 KB, text/plain; charset=us-ascii)
2011-11-13 23:21 UTC, Alex Kozlov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2011-11-13 21:01:04 UTC
Update for emulators/dgen-sdl is available.

Note: The actual version is now hosted at Sourceforge, has a BSD license and a new homepage.

Please check, if this update solves PR:153437 (=> "[patch] emulators/dgen-sdl: mark BROKEN on non-i386 archs").

Fix: See attachment

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Edwin Groothuis freebsd_committer 2011-11-13 21:01:50 UTC
Maintainer of emulators/dgen-sdl,

Please note that PR ports/162543 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162543

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-11-13 21:01:53 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Rene Ladan freebsd_committer 2011-11-13 21:16:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 4 Alex Kozlov 2011-11-13 22:39:39 UTC
Hi

Thanks Hardy, You saved me a hours of debugging.
I confirm that this update works fine on 8-STABLE i386, 9-STABLE amd64.
Bellow a little refined version of update, if Hardy ok with it,
it can be committed (files/ directory also need to be removed).


--
Adios
Comment 5 Rene Ladan freebsd_committer 2011-11-13 22:58:39 UTC
On 13-11-2011 23:39, Alex Kozlov wrote:
> Hi
>
> Thanks Hardy, You saved me a hours of debugging.
> I confirm that this update works fine on 8-STABLE i386, 9-STABLE amd64.
> Bellow a little refined version of update, if Hardy ok with it,
> it can be committed (files/ directory also need to be removed).
>
One thing: it fails to build on amd64 if you already have nasm 
installed: it detects it under ${LOCALBASE}/bin/nasm but concludes it 
cannot use it.  We might need to add a quirk for this.

René
-- 
http://www.rene-ladan.nl:8080/

GPG fingerprint = ADBC ECCD EB5F A6B4 549F  600D 8C9E 647A E564 2BFC 
(subkeys.pgp.net)
Comment 6 Alex Kozlov 2011-11-13 23:21:31 UTC
On Sun, Nov 13, 2011 at 11:58:39PM +0100, Rene Ladan wrote:
> On 13-11-2011 23:39, Alex Kozlov wrote:
>> Hi
>>
>> Thanks Hardy, You saved me a hours of debugging.
>> I confirm that this update works fine on 8-STABLE i386, 9-STABLE amd64.
>> Bellow a little refined version of update, if Hardy ok with it,
>> it can be committed (files/ directory also need to be removed).
>>
> One thing: it fails to build on amd64 if you already have nasm
> installed: it detects it under ${LOCALBASE}/bin/nasm but concludes it
> cannot use it.  We might need to add a quirk for this.
Oops, I build my ports in tinderbox. This should help:


--
Adios
Comment 7 Rene Ladan freebsd_committer 2011-11-14 09:19:30 UTC
2011/11/14 Alex Kozlov <spam@rm-rf.kiev.ua>:
> On Sun, Nov 13, 2011 at 11:58:39PM +0100, Rene Ladan wrote:
>> On 13-11-2011 23:39, Alex Kozlov wrote:
>>> Hi
>>>
>>> Thanks Hardy, You saved me a hours of debugging.
>>> I confirm that this update works fine on 8-STABLE i386, 9-STABLE amd64.
>>> Bellow a little refined version of update, if Hardy ok with it,
>>> it can be committed (files/ directory also need to be removed).
>>>
>> One thing: it fails to build on amd64 if you already have nasm
>> installed: it detects it under ${LOCALBASE}/bin/nasm but concludes it
>> cannot use it. =A0We might need to add a quirk for this.
> Oops, I build my ports in tinderbox. This should help:
>
That helped. I can now run the new dgen on amd64-9, but it does not emit
sound? I will run the new dgen on an i386-8 laptop which used to have
sound with dgen-1.23.
Comment 8 Rene Ladan freebsd_committer 2011-11-14 19:04:36 UTC
On 14-11-2011 10:19, René Ladan wrote:
> 2011/11/14 Alex Kozlov<spam@rm-rf.kiev.ua>:
>> On Sun, Nov 13, 2011 at 11:58:39PM +0100, Rene Ladan wrote:
>>> On 13-11-2011 23:39, Alex Kozlov wrote:
>>>> Hi
>>>>
>>>> Thanks Hardy, You saved me a hours of debugging.
>>>> I confirm that this update works fine on 8-STABLE i386, 9-STABLE amd64.
>>>> Bellow a little refined version of update, if Hardy ok with it,
>>>> it can be committed (files/ directory also need to be removed).
>>>>
>>> One thing: it fails to build on amd64 if you already have nasm
>>> installed: it detects it under ${LOCALBASE}/bin/nasm but concludes it
>>> cannot use it.  We might need to add a quirk for this.
>> Oops, I build my ports in tinderbox. This should help:
>>
> That helped. I can now run the new dgen on amd64-9, but it does not emit
> sound? I will run the new dgen on an i386-8 laptop which used to have
> sound with dgen-1.23.
>
Both the i386-8 and amd64-9 system are fine now regarding sound: on i386-8
sdl was compiled without pulseaudio (the port's default), on amd64-9 sdl 
was compiled with pulseaudio, resulting in a pulseaudio process 
consuming 100% CPU, no sound, and a non-functioning Esc-key.

Time to commit the update :)
Comment 9 dfilter service freebsd_committer 2011-11-14 19:10:50 UTC
rene        2011-11-14 19:10:41 UTC

  FreeBSD ports repository

  Modified files:
    emulators/dgen-sdl   Makefile distinfo pkg-descr 
  Removed files:
    emulators/dgen-sdl/files patch-configure patch-rc.cpp 
                             patch-rc.h patch-star_star.c 
  Log:
  Update to 1.27 which works properly on amd64 and does not need the
  restricted patches any longer.
  
  PR:             ports/162543
  Submitted by:   Hardy Schumacher [hardy.schumacher gmx/de]
  Approved by:    maintainer
  Feature safe:   yes
  
  Revision  Changes    Path
  1.23      +4 -23     ports/emulators/dgen-sdl/Makefile
  1.10      +2 -4      ports/emulators/dgen-sdl/distinfo
  1.3       +0 -34     ports/emulators/dgen-sdl/files/patch-configure (dead)
  1.2       +0 -26     ports/emulators/dgen-sdl/files/patch-rc.cpp (dead)
  1.2       +0 -10     ports/emulators/dgen-sdl/files/patch-rc.h (dead)
  1.2       +0 -14     ports/emulators/dgen-sdl/files/patch-star_star.c (dead)
  1.5       +1 -1      ports/emulators/dgen-sdl/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 Rene Ladan freebsd_committer 2011-11-14 19:13:29 UTC
State Changed
From-To: feedback->closed

Committed, thanks